commit:     279a846ecde8e3159892694a366d02f01dc116c0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  8 10:57:50 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun  8 11:42:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=279a846e

dev-python/pytest-django: Bump to 4.4.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest-django/Manifest                  |  1 +
 .../pytest-django/pytest-django-4.4.0.ebuild       | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/pytest-django/Manifest 
b/dev-python/pytest-django/Manifest
index 7842859a033..6c8a0f6f4ae 100644
--- a/dev-python/pytest-django/Manifest
+++ b/dev-python/pytest-django/Manifest
@@ -1,2 +1,3 @@
 DIST pytest-django-4.2.0.gh.tar.gz 68370 BLAKE2B 
94165a01ecd2734a4e02267ecfe8b531df33ca9237cfcd1ebad41f68289fb89590bed0027137d6dddefc4cbbd5c0f8445703e01a516d3992c2307ebe53d6572b
 SHA512 
2dcaa80f3ebb67984d3849cea5de296388990ca65a607f995b89bd67e2d8964f944100bccb42a32bb75c7009849619e50421c2dce077037ce0440233dbdc13f1
 DIST pytest-django-4.3.0.gh.tar.gz 71525 BLAKE2B 
0eba9d9917759369aa2e126539f17fc36874453caf59838be2baf660fe29487aa80490f2af4ecbd72a9ba1f63a8a87202af2eff7e9d28c9c0fc686b09b07e82a
 SHA512 
3c3ac31ed75daa29ab473ef3b87b5c66333cf7ccd8d217eb120b7899f463aafe5982b1e867e26e3b9ab51f312612fbc3d9f1ed9169815507816267fd4de76757
+DIST pytest-django-4.4.0.gh.tar.gz 72905 BLAKE2B 
4532bef9afdc7f11fdf9a16f019810d10e4e580b517958722184d361a69a195f6c66f7f3bc18be6cb7f63fe4576963c59a00d72bd8a42f104d26e5ad091c6d54
 SHA512 
47e4a84606aeb6bb99ed74603faf988298d52f81f74ec8e4608cb670f0f331ad0c6555f3e4a516fc7834aea4e634f849dc0ff6d446a86e924a116fbe90bd79e0

diff --git a/dev-python/pytest-django/pytest-django-4.4.0.ebuild 
b/dev-python/pytest-django/pytest-django-4.4.0.ebuild
new file mode 100644
index 00000000000..c2d0d8eca1a
--- /dev/null
+++ b/dev-python/pytest-django/pytest-django-4.4.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Django plugin for py.test"
+HOMEPAGE="
+       https://pypi.org/project/pytest-django/
+       https://pytest-django.readthedocs.io/
+       https://github.com/pytest-dev/pytest-django/";
+SRC_URI="
+       https://github.com/pytest-dev/pytest-django/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+RDEPEND="
+       dev-python/django[${PYTHON_USEDEP}]
+       >=dev-python/pytest-5.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/setuptools_scm-1.11.1[${PYTHON_USEDEP}]
+       test? (
+               dev-python/django-configurations[${PYTHON_USEDEP}]
+       )
+"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+distutils_enable_tests --install pytest
+
+python_test() {
+       local deselect=(
+               # something else may be loading it
+               
tests/test_django_settings_module.py::test_django_not_loaded_without_settings
+       )
+
+       distutils_install_for_testing
+       cp -r pytest_django_test "${TEST_DIR}"/lib || die
+
+       local -x DJANGO_SETTINGS_MODULE
+       for DJANGO_SETTINGS_MODULE in 
pytest_django_test.settings_sqlite{,_file}; do
+               einfo "Testing ${DJANGO_SETTINGS_MODULE}"
+               epytest tests ${deselect[@]/#/--deselect }
+       done
+}

Reply via email to